Categories
Mastering Development

In my react-native application I’m facing an error of > Task :app:mergeDexDebug FAILED

When I install @react-native-firebase/database, @react-native-firebase/app , @react-native-firebase/auth and @react-native-firebase/storage altogether, unistalling either one of them solves the issue but I don’t understand what’s going wrong otherwise as I have to use those packages. The package.json is as follows : { “name”: “ImageExample”, “version”: “0.0.1”, “private”: true, “scripts”: { “android”: “react-native run-android”, “ios”: “react-native run-ios”, “start”: […]

Categories
Mastering Development

Invariant Violation: View config not found for name path. Error related with victory-native

I have a react-native project, after I installed the victory-native package with the dependencies (react-native-svg) I got this error: Image with the error that I got on emulator my package.json is: { “name”: “ProjectName”, “version”: “0.0.1”, “private”: true, “scripts”: { “android”: “react-native run-android”, “ios”: “react-native run-ios”, “start”: “react-native start”, “test”: “jest”, “lint”: “eslint .” }, […]

Categories
Mastering Development

Published npm package does not apply styles

I’m currently working on creating an npm package. Which is basically a React component with added styles using SCSS. When I test it out, the class names are there, but no styles are being applied. Here is the repo for the package. I use a separated webpack config for building the specific folder where the […]

Categories
Mastering Development

Caused by: java.lang.Exception: Command `config` unrecognized

After Running Copied React-native project: Caused by: java.lang.Exception: Command config unrecognized. Make sure that you have run npm install and that you are inside a react-native project. I did npm install but it didn’t help. Package.json { “name”: “ProjectName”, “version”: “0.0.1”, “private”: true, “scripts”: { “android”: “react-native run-android”, “ios”: “react-native run-ios”, “start”: “react-native start”, “test”: […]

Categories
Development

React-navigation-The term ‘pod’ is not recognized as the name of a cmdlet

My operating system(OS) is windows 10. I have created a React-Native project with the following code : react-native init AwesomeProject I want to install React-navigation then do the following steps based on the React-Navigation documentation) 1- npm install @react-navigation/native 2- npm install react-native-reanimated react-native-gesture-handler react-native-screens react-native-safe-area-context @react-native-community/masked-view 3- When I run the following step I […]

Categories
Development

Nextjs pages/_app.js: Missing class properties transform

I have a nextjs application. My node version is v12.7.0. It has some issues with class base components giving this error: (it relates to babel plugins-configs) [ error ] ./pages/_app.js SyntaxError: /…/pages/_app.js: Missing class properties transform. The followings are important parts of the application: package.json { “name”: “sth”, “version”: “1.2.0”, “license”: “ISC”, “author”: “Afsane Fadaei”, […]

Categories
Development

React Development and Build version not working in IE 11 and Edge – Webpack/Babel

Development and build version not working in IE 11 and Edge. Here are my webpack config and package json file. I have used below repo. https://github.com/kriasoft/react-starter-kit I have been trying to fix this issue using various babel packages and webpack configurations. Arrow function seems not to be working. Here’s the error. webpack.config.js /** * React […]

Categories
Development Google React Website Windows

React Native start error on latest version

I have followed react native official document and using React Native CLI Quickstart https://facebook.github.io/react-native/docs/getting-started npm –version 6.13.0 react-native –version react-native-cli:2.0.1 react-native : 0.61.4 package.json { “name”: “bg”, “version”: “0.0.1”, “private”: true, “scripts”: { “android”: “react-native run-android”, “ios”: “react-native run-ios”, “start”: “react-native start”, “test”: “jest”, “lint”: “eslint .” }, “dependencies”: { “react”: “16.9.0”, “react-native”: “0.61.4” }, […]

Categories
Development Facebook Plugins Social Media

Having Could not determine the dependencies issue in React Native Android

I am integrating firebase in android and having issues regrading android dependencies. When i add dependencies in root build.gradle file like this … implementation ‘com.google.android.gms:play-services-base:16+’ implementation ‘com.google.firebase:firebase-core:17.2.0’ Having this issue… FAILURE: Build failed with an exception. * What went wrong: Could not determine the dependencies of task ‘:react-native-firebase:compileDebugAidl’. > The library com.google.android.gms:play-services-measurement-base is being requested […]